Apache log4cxx: logstream Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# logstream Class Reference

Inherits logstream_base.

List of all members.

## Detailed Description

An STL-like stream API for log4cxx using char as the character type.

. Instances of log4cxx::logstream are not designedfor use by multiple threads and in general should be short-lived function scoped objects. Using log4cxx::basic_logstream as a class member or static instance should be avoided in the same manner as you would avoid placing a std::ostringstream in those locations. Insertion operations are generally short-circuited if the level for the stream is not the same of higher that the level of the associated logger.

## Public Member Functions
| logstream (const log4cxx::LoggerPtr &logger, const log4cxx::LevelPtr &level)
| Constructor.
| logstream (const Ch *loggerName, const log4cxx::LevelPtr &level)
| Constructor.
| logstream (const std::basic_string< Ch > &loggerName, const log4cxx::LevelPtr &level)
| Constructor.
| ~logstream ()
logstream & | operator<< (std::ios_base &(*manip)(std::ios_base &))
| Insertion operator for std::fixed and similar manipulators.
logstream & | operator<< (logstream_manipulator manip)
| Insertion operator for logstream_base::endmsg.
logstream & | operator<< (const log4cxx::LevelPtr &level)
| Insertion operator for level.
logstream & | operator<< (const log4cxx::spi::LocationInfo &location)
| Insertion operator for location.
logstream & | operator>> (const log4cxx::spi::LocationInfo &location)
| Alias for insertion operator for location.
| operator std::basic_ostream ()
| Cast operator to provide access to embedded std::basic_ostream.
template<class V>
log4cxx::logstream & | operator<< (const V &val)
| Template to allow any class with an std::basic_ostream inserter to be applied to this class.
## Protected Member Functions
virtual void | log (LoggerPtr &logger, const LevelPtr &level, const log4cxx::spi::LocationInfo &location)
| Dispatches the pending log request.
virtual void | erase ()
| Erase any content in the message construction buffer.
virtual void | get_stream_state (std::ios_base &base, std::ios_base &mask, int &fill, bool &fillSet) const
| Copy state of embedded stream (if any) to value and mask instances of std::ios_base and return fill character value.
virtual void | refresh_stream_state ()

## Constructor & Destructor Documentation

logstream | ( | const log4cxx::LoggerPtr & | logger,
|  | const log4cxx::LevelPtr & | level
| ) |

| Constructor.

logstream | ( | const Ch * | loggerName,
|  | const log4cxx::LevelPtr & | level
| ) |

| Constructor.

logstream | ( | const std::basic_string< Ch > & | loggerName,
|  | const log4cxx::LevelPtr & | level
| ) |

| Constructor.

~logstream | ( |  | ) |

## Member Function Documentation

virtual void erase | ( |  | ) | `[protected, virtual]`

| Erase any content in the message construction buffer. Implements logstream_base.

virtual void get_stream_state | ( | std::ios_base & | base,
|  | std::ios_base & | mask,
|  | int & | fill,
|  | bool & | fillSet
| ) | const`[protected, virtual]`

| Copy state of embedded stream (if any) to value and mask instances of std::ios_base and return fill character value. Implements logstream_base.

virtual void log | ( | LoggerPtr & | logger,
|  | const LevelPtr & | level,
|  | const log4cxx::spi::LocationInfo & | location
| ) | `[protected, virtual]`

| Dispatches the pending log request. Implements logstream_base.

operator std::basic_ostream | ( |  | ) |

| Cast operator to provide access to embedded std::basic_ostream.

log4cxx::logstream& operator<< | ( | const V & | val | ) | `[inline]`

| Template to allow any class with an std::basic_ostream inserter to be applied to this class.

logstream& operator<< | ( | const log4cxx::spi::LocationInfo & | location | ) |

| Insertion operator for location.

logstream& operator<< | ( | const log4cxx::LevelPtr & | level | ) |

| Insertion operator for level.

logstream& operator<< | ( | logstream_manipulator | manip | ) |

| Insertion operator for logstream_base::endmsg.

logstream& operator<< | ( | std::ios_base &(*)(std::ios_base &) | manip | ) |

| Insertion operator for std::fixed and similar manipulators.

logstream& operator>> | ( | const log4cxx::spi::LocationInfo & | location | ) |

| Alias for insertion operator for location. Kludge to avoid inappropriate compiler ambiguity.

virtual void refresh_stream_state | ( |  | ) | `[protected, virtual]`

| Implements logstream_base.

The documentation for this class was generated from the following file:

- stream.h